org.apache.lucene.analysis.ja.dict

## Class TokenInfoDictionary

- java.lang.Object
- - org.apache.lucene.analysis.ja.dict.BinaryDictionary
  - - org.apache.lucene.analysis.ja.dict.TokenInfoDictionary

All Implemented Interfaces:
  Dictionary

    public final class TokenInfoDictionary
    extends BinaryDictionary

Binary dictionary implementation for a known-word dictionary model: Words are encoded into an FST mapping to a list of wordIDs.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.analysis.ja.dict.BinaryDictionary

`BinaryDictionary.ResourceScheme`

### Field Summary

Fields
`static String` `FST_FILENAME_SUFFIX`

### Fields inherited from class org.apache.lucene.analysis.ja.dict.BinaryDictionary

`DICT_FILENAME_SUFFIX, DICT_HEADER, HAS_BASEFORM, HAS_PRONUNCIATION, HAS_READING, POSDICT_FILENAME_SUFFIX, POSDICT_HEADER, TARGETMAP_FILENAME_SUFFIX, TARGETMAP_HEADER, VERSION`

### Fields inherited from interface org.apache.lucene.analysis.ja.dict.Dictionary

`INTERNAL_SEPARATOR`

### Constructor Summary

Constructors
Constructor and Description
`TokenInfoDictionary(BinaryDictionary.ResourceScheme resourceScheme, String resourcePath)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`TokenInfoFST` `getFST()`
`static TokenInfoDictionary` `getInstance()`

### Methods inherited from class org.apache.lucene.analysis.ja.dict.BinaryDictionary

`getBaseForm, getClassResource, getInflectionForm, getInflectionType, getLeftId, getPartOfSpeech, getPronunciation, getReading, getResource, getResource, getRightId, getWordCost, lookupWordIds`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FST_FILENAME_SUFFIX

    public static final String FST_FILENAME_SUFFIX

See Also:
  Constant Field Values

### Constructor Detail

#### TokenInfoDictionary

    public TokenInfoDictionary(BinaryDictionary.ResourceScheme resourceScheme,
                               String resourcePath)
                        throws IOException

Parameters:
  `resourceScheme` - - scheme for loading resources (FILE or CLASSPATH).
  `resourcePath` - - where to load resources (dictionaries) from. If null, with CLASSPATH scheme only, use this class's name as the path.
Throws:
  `IOException`

### Method Detail

#### getFST

    public TokenInfoFST getFST()

#### getInstance

    public static TokenInfoDictionary getInstance()